<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://www.facebook.com/sahilgulati007/
 * @since      1.0.0
 *
 * @package    Integration_Nummuspay
 * @subpackage Integration_Nummuspay/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Integration_Nummuspay
 * @subpackage Integration_Nummuspay/includes
 * @author     Sahil Gulati <sgwebsol@gmail.com>
 */
class Integration_Nummuspay_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'integration-nummuspay',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
